Bug 819554 - tomcatjss: Please migrate from tomcat6 to tomcat7
tomcatjss: Please migrate from tomcat6 to tomcat7
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tomcatjss (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christina Fu
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: NoTomcat6
  Show dependency treegraph
 
Reported: 2012-05-07 10:17 EDT by Mikolaj Izdebski
Modified: 2016-02-10 09:43 EST (History)
10 users (show)

See Also:
Fixed In Version: tomcatjss-7.1.0-1.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:35:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Port 'tomcatjss' from Tomcat 6 to Tomcat 7 (20.27 KB, patch)
2012-07-06 14:53 EDT, Matthew Harmsen
mharmsen: review? (cfu)
Details | Diff

  None (edit)
Description Mikolaj Izdebski 2012-05-07 10:17:43 EDT
We want to transition from tomcat6 to tomcat7 in Fedora. By depending on tomcat6 tomcatjss it is successfully blocking the mentioned transition.

The following is the list of tomcatjss dependencies affecting the transition (the list is not guarranteed to be complete):
   Requires:      tomcat6 >= 6.0.32-16
   BuildRequires: tomcat6 >= 6.0.32-16

Pleasee update tomcatjss to use tomcat7 instead of tomcat6. Thank you.
Comment 1 Matthew Harmsen 2012-07-06 14:53:35 EDT
Created attachment 596679 [details]
Port 'tomcatjss' from Tomcat 6 to Tomcat 7

NOTE:  The following changes are intended for the upstream 'tomcatjss' project.

       Due to an API change from Tomcat 6 to Tomcat 7, it was necessary
       to branch the upstream 'tomcatjss' source
       (svn list svn+ssh://svn.fedorahosted.org/svn/tomcatjss/branches):
 
          * TOMCATJSS_FOR_TOMCAT_6_ERRATA_BRANCH
             (to be used for 'tomcatjss' maintenance releases slated
              for Tomcat 6)

       Once these changes have been approved, the trunk of the upstream
       'tomcatjss' repository will be utilized for Tomcat 7 exclusively
       (svn list svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk).

       Additionally, these changes will NOT be immediately committed to
       'Rawhide' in Fedora, as these changes would conflict with some
       current known testing taking place within Rawhide.  As such,
       the 'official' build of 'tomcatjss' 7 to 'rawhide' will be
       postponed until it can be safely built and injected into 'rawhide'.
Comment 2 Matthew Harmsen 2012-07-19 18:08:40 EDT
The following changes were made to Dogtag TRAC ticket #205 (https://fedorahosted.org/pki/ticket/205):

# svn info
Path: .
URL: svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss
Repository Root: svn+ssh://svn.fedorahosted.org/svn/tomcatjss
Repository UUID: f36ecbbf-7b2a-0410-ae9c-ff217db25f9c
Revision: 229
Node Kind: directory
Schedule: normal
Last Changed Author: mharmsen
Last Changed Rev: 195
Last Changed Date: 2011-09-29 18:28:18 -0700 (Thu, 29 Sep 2011)

# svn update
At revision 229.

# svn commit
Sending        README
Sending        build.xml
Sending        src/org/apache/tomcat/util/net/jss/IJSSFactory.java
Sending        src/org/apache/tomcat/util/net/jss/JSSFactory.java
Sending        src/org/apache/tomcat/util/net/jss/JSSImplementation.java
Sending        src/org/apache/tomcat/util/net/jss/JSSSocketFactory.java
Sending        tomcatjss.spec
Transmitting file data .......
Committed revision 230.
Comment 3 Matthew Harmsen 2012-07-19 18:12:42 EDT
The following ticket was created as a tracking ticket so that "Bugzilla Bug #819554 - tomcatjss: Please migrate from tomcat6 to tomcat7" could be set to 'modified' to coincide with the closure of this ticket:

Dogtag TRAC Ticket #240 (https://fedorahosted.org/pki/ticket/240):
Dogtag 10: Create "official" Fedora 18 tomcatjss 7.0 package
Comment 4 Matthew Harmsen 2012-07-19 20:07:07 EDT
Tomcatjss 7.0.0 for Tomcat 7:

    # svn list svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk 
    tomcatjss/

Tomcatjss 6.0.2 for Tomcat 6:

# svn list svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags
...
TOMCATJSS_FOR_TOMCAT_6_20120607

# svn list svn+ssh://svn.fedorahosted.org/svn/tomcatjss/branches
...
TOMCAT6JSS_FOR_DOGTAG_10_BRANCH/       (NOTE: THIS BRANCH MAY NEVER BE USED)
TOMCATJSS_FOR_TOMCAT_6_ERRATA_BRANCH/
Comment 5 Fedora Update System 2012-08-31 18:49:48 EDT
tomcatjss-7.0.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcatjss-7.0.0-3.fc17
Comment 6 Fedora Update System 2012-09-01 20:27:22 EDT
Package tomcatjss-7.0.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcatjss-7.0.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13130/tomcatjss-7.0.0-3.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-02 17:35:48 EDT
tomcatjss-7.0.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tomcatjss-7.0.0-3.fc18
Comment 8 Fedora Update System 2012-09-17 13:49:49 EDT
tomcatjss-7.0.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-17 18:23:53 EDT
tomcatjss-7.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mikolaj Izdebski 2012-12-13 09:32:31 EST
I am reopening the bug as tomcatjss-7.0.0-3 still depends on Tomcat 6 (BuildRequires tomcat6).

The whole point of this bug report is completely getting rid of Tomcat 6 from Fedora. Having tomcatjss depend on both tomcat and tomcat6 doesn't help with that.
Comment 11 Matthew Harmsen 2012-12-13 17:17:27 EST
Since the issues that prevented this product from cleanly transitioning from Tomcat 6 to Tomcat 7 have been resolved, the update to tomcatjss should:

    * remove the Tomcat 6 version of tomcatjss
    * rename "tomcat7jss.jar" to "tomcatjss.jar"

Additionally, after this version of 'tomcatjss' has been released, the following files will need to be changed in the Dogtag component called 'pki-core' from 'tomcat7jss' --> 'tomcatjss':

  # cd pki; find . -type f -exec grep tomcat7jss /dev/null {} \;
  ./base/common/shared/conf/pki.policy:
  grant codeBase "file:/usr/share/java/tomcat7jss.jar" {
  ./base/deploy/scripts/operations:    [tomcatjss.jar]=${java_dir}/tomcat7jss.jar
  ./base/deploy/src/scriptlets/pkiparser.py:                    "tomcat7jss.jar")

... and change the pki-core.spec file dependency to require this new release of tomcatjss.
Comment 12 Christina Fu 2012-12-19 23:30:48 EST
[cfu@glyph tomcatjss]$ svn commit
Replacing      LICENSE
Replacing      README
Replacing      build.xml
Replacing      build_tomcatjss
Adding         src
Deleting       tomcat6jss
Deleting       tomcat7jss
Replacing      tomcatjss.spec
Transmitting file data ..
Committed revision 236.
Comment 13 Fedora Update System 2013-01-04 17:58:28 EST
tomcatjss-7.0.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tomcatjss-7.0.0-4.fc18
Comment 14 Fedora Update System 2013-01-05 16:55:29 EST
Package tomcatjss-7.0.0-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcatjss-7.0.0-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0303/tomcatjss-7.0.0-4.fc18
then log in and leave karma (feedback).
Comment 15 Matthew Harmsen 2013-01-07 15:06:45 EST
(In reply to comment #11)
> Since the issues that prevented this product from cleanly transitioning from
> Tomcat 6 to Tomcat 7 have been resolved, the update to tomcatjss should:
> 
>     * remove the Tomcat 6 version of tomcatjss
>     * rename "tomcat7jss.jar" to "tomcatjss.jar"
> 
> Additionally, after this version of 'tomcatjss' has been released, the
> following files will need to be changed in the Dogtag component called
> 'pki-core' from 'tomcat7jss' --> 'tomcatjss':
> 
>   # cd pki; find . -type f -exec grep tomcat7jss /dev/null {} \;
>   ./base/common/shared/conf/pki.policy:
>   grant codeBase "file:/usr/share/java/tomcat7jss.jar" {
>   ./base/deploy/scripts/operations:   
> [tomcatjss.jar]=${java_dir}/tomcat7jss.jar
>   ./base/deploy/src/scriptlets/pkiparser.py:                   
> "tomcat7jss.jar")
> 
> ... and change the pki-core.spec file dependency to require this new release
> of tomcatjss.

commit b61f31bf15e733de5881cc070feb57aa3686c92d
Author: Matthew Harmsen <mharmsen@redhat.com>
Date:   Fri Jan 4 22:01:07 2013 -0800

    Use tomcatjss 7.1.0 and fix weird errno=0 exception
    
    * TRAC Ticket #469 - Dogtag 10: Fix tomcatjss issue in pki-core.spec and
      dogtag-pki.spec . . .
    * TRAC Ticket #468 - pkispawn throws exception
Comment 16 Fedora Update System 2013-01-11 20:19:09 EST
tomcatjss-7.0.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Braden McDaniel 2013-03-14 17:03:12 EDT
Reopening on the basis that tomcatjss-7.0.0-4.fc18 still depends on tomcat6.
Comment 18 Matthew Harmsen 2013-03-15 13:48:28 EDT
(In reply to comment #17)
> Reopening on the basis that tomcatjss-7.0.0-4.fc18 still depends on tomcat6.

Tomcat 6 is still needed by applications that use tomcatjss on F18 (Dogtag and thus FreeIPA).  However, tomcatjss-7.1.0-1.fc19 was built for Fedora 19 (rawhide), and both Dogtag and FreeIPA have removed any remaining dependencies on Tomcat 6 in the Fedora 19 timeframe.  As such, we would like to request that this bug be moved back to MODIFIED.
Comment 19 Braden McDaniel 2013-03-15 14:20:48 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Reopening on the basis that tomcatjss-7.0.0-4.fc18 still depends on tomcat6.
> 
> Tomcat 6 is still needed by applications that use tomcatjss on F18 (Dogtag
> and thus FreeIPA).

Is that causative or correlative?

That is, does depending on tomcatjss-7.0.0-4.fc18 always necessitate use of tomcat6?

>  However, tomcatjss-7.1.0-1.fc19 was built for Fedora 19
> (rawhide), and both Dogtag and FreeIPA have removed any remaining
> dependencies on Tomcat 6 in the Fedora 19 timeframe.  As such, we would like
> to request that this bug be moved back to MODIFIED.

I reopened this because the tomcatjss-7.0.0-4.fc18 update was marked as having fixed this bug when it did not.

I don't have any problem with this becoming a F19/rawhide bug if fixing this on F18 is impossible or impractical. But, unfortunately, the situation for F18 users following this issue has gotten a bit confusing.
Comment 20 Matthew Harmsen 2013-05-07 21:23:01 EDT
(In reply to comment #19)
> (In reply to comment #18)
> > (In reply to comment #17)
> > > Reopening on the basis that tomcatjss-7.0.0-4.fc18 still depends on tomcat6.
> > 
> > Tomcat 6 is still needed by applications that use tomcatjss on F18 (Dogtag
> > and thus FreeIPA).
> 
> Is that causative or correlative?
> 
> That is, does depending on tomcatjss-7.0.0-4.fc18 always necessitate use of
> tomcat6?
> 

Yes tomcatjss 7.0.0 requires both Tomcat 6 and Tomcat 7.

> >  However, tomcatjss-7.1.0-1.fc19 was built for Fedora 19
> > (rawhide), and both Dogtag and FreeIPA have removed any remaining
> > dependencies on Tomcat 6 in the Fedora 19 timeframe.  As such, we would like
> > to request that this bug be moved back to MODIFIED.
> 
> I reopened this because the tomcatjss-7.0.0-4.fc18 update was marked as
> having fixed this bug when it did not.
> 
> I don't have any problem with this becoming a F19/rawhide bug if fixing this
> on F18 is impossible or impractical. But, unfortunately, the situation for
> F18 users following this issue has gotten a bit confusing.

Fedora 18 was the last release of Fedora to require Tomcat 6.  This was necessary to allow users migrating from FreeIPA/Dogtag 9 instances running on Fedora 17 to upgrade to Fedora 18 an maintain their FreeIPA/Dogtag 9 (Tomcat 6) instances running under FreeIPA/Dogtag 10 (Tomcat 7).  This is no longer possible with the release of FreeIPA/Dogtag 10.0.2 on Fedora 19 which utilizes tomcatjss 7.1.0 which solely requires Tomcat 7.
Comment 21 Fedora End Of Life 2013-12-21 10:40:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2014-02-05 18:16:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Jan Kurik 2015-12-22 06:29:43 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.